kr.co.hanwha.hifive.adapter.viewholder

## Class CommentHeaderViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.adapter.viewholder.CommentHeaderViewHolder

-     public class CommentHeaderViewHolder
      extends BaseViewHolder

  Created by sanghoonkwon on 2018. 1. 22..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private TaskDetailListContract.OnTaskDetailListener` | `mOnTaskDetailListener`
    `private android.widget.TextView` | `mTextViewCount`
    `private android.widget.TextView` | `mTextViewMore`
    `private android.view.View` | `mViewUnderline`

    - ### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `itemView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommentHeaderViewHolder(android.view.ViewGroup viewGroup, TaskDetailListContract.OnTaskDetailListener onTaskDetailListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onBind(java.lang.Object object, int index)`

    - ### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

      `getContext, getHeight`

    - ### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mTextViewCount

          private android.widget.TextView mTextViewCount

    - #### mTextViewMore

          private android.widget.TextView mTextViewMore

    - #### mViewUnderline

          private android.view.View mViewUnderline

    - #### mOnTaskDetailListener

          private TaskDetailListContract.OnTaskDetailListener mOnTaskDetailListener

  - ### Constructor Detail

    - #### CommentHeaderViewHolder

          public CommentHeaderViewHolder(@NonNull
                                         android.view.ViewGroup viewGroup,
                                         @NonNull
                                         TaskDetailListContract.OnTaskDetailListener onTaskDetailListener)

  - ### Method Detail

    - #### onBind

          public void onBind(java.lang.Object object,
                             int index)

      Overrides:
        `onBind` in class `BaseViewHolder`